<?php

namespace App\Classes\Modules\Announcements\Standards\Rules;

use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Announcements\DataTransferObjects\AnnouncementObject;

class CanListAnnouncements extends AbstractRule
{

    /**
     * @return bool
     */
    protected function authorized($object): bool
    {
        return true;
    }

    /**
     * @param AnnouncementObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;
    }

    /**
     * @param AnnouncementObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }
}
